// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package api

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/api"
)

/******************************************************************************
 *
 * @Description              : ACCUNITID的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-12 10:08:28
 *
 ******************************************************************************/
var ACCUNITID_RECID = grmi.NewField("RECID", "ACC_UNITID.REC_ID", "recid", grmi.TypeInt64)
var ACCUNITID_CTIME = grmi.NewField("CTIME", "ACC_UNITID.CTIME", "ctime", grmi.TypeDateTime)
var ACCUNITID_LINE = grmi.NewField("LINE", "ACC_UNITID.LINE", "line", grmi.TypeString)
var ACCUNITID_UNITSN = grmi.NewField("UNITSN", "ACC_UNITID.UNITSN", "unitsn", grmi.TypeString)
var ACCUNITID_IDNAME = grmi.NewField("IDNAME", "ACC_UNITID.ID_NAME", "idname", grmi.TypeString)
var ACCUNITID_IDVALUE = grmi.NewField("IDVALUE", "ACC_UNITID.ID_VALUE", "idvalue", grmi.TypeString)
var ACCUNITID_USEDT = grmi.NewField("USEDT", "ACC_UNITID.USEDT", "usedt", grmi.TypeDateTime)
var ACCUNITID_STATUS = grmi.NewField("STATUS", "ACC_UNITID.STATUS", "status", grmi.TypeString)
var ACCUNITID_ITEMPARTNO = grmi.NewField("ITEMPARTNO", "ACC_UNITID.ITEMPARTNO", "itempartno", grmi.TypeString)
var ACCUNITID_OP = grmi.NewField("OP", "ACC_UNITID.OP", "op", grmi.TypeString)
var ACCUNITID_RUNTIMEID = grmi.NewField("RUNTIMEID", "ACC_UNITID.RUNTIMEID", "runtimeid", grmi.TypeInt64)
var ACCUNITID_CYCLEID = grmi.NewField("CYCLEID", "ACC_UNITID.CYCLEID", "cycleid", grmi.TypeInt64)
var ACCUNITID_LastModify = grmi.NewField("LastModify", "ACC_UNITID.LastModify", "lastmodify", grmi.TypeDateTime)
var ACCUNITID_LastUser = grmi.NewField("LastUser", "ACC_UNITID.LastUser", "lastuser", grmi.TypeString)
var ACCUNITID_CreateTime = grmi.NewField("CreateTime", "ACC_UNITID.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ACCUNITID的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-12 10:08:28
 *
 ******************************************************************************/
var ACCUNITID = grmi.NewEntity(
	"ACC_UNITID",
	func() interface{} { return &model.ACCUNITID{} },
	map[string]grmi.Field{
		ACCUNITID_RECID.Name:      ACCUNITID_RECID,
		ACCUNITID_CTIME.Name:      ACCUNITID_CTIME,
		ACCUNITID_LINE.Name:       ACCUNITID_LINE,
		ACCUNITID_UNITSN.Name:     ACCUNITID_UNITSN,
		ACCUNITID_IDNAME.Name:     ACCUNITID_IDNAME,
		ACCUNITID_IDVALUE.Name:    ACCUNITID_IDVALUE,
		ACCUNITID_USEDT.Name:      ACCUNITID_USEDT,
		ACCUNITID_STATUS.Name:     ACCUNITID_STATUS,
		ACCUNITID_ITEMPARTNO.Name: ACCUNITID_ITEMPARTNO,
		ACCUNITID_OP.Name:         ACCUNITID_OP,
		ACCUNITID_RUNTIMEID.Name:  ACCUNITID_RUNTIMEID,
		ACCUNITID_CYCLEID.Name:    ACCUNITID_CYCLEID,
		ACCUNITID_LastModify.Name: ACCUNITID_LastModify,
		ACCUNITID_LastUser.Name:   ACCUNITID_LastUser,
		ACCUNITID_CreateTime.Name: ACCUNITID_CreateTime,
	},
	[]string{},
	[]string{"CTIME", "LINE", "UNITSN", "ID_NAME", "ID_VALUE", "USEDT", "STATUS", "ITEMPARTNO", "OP", "RUNTIMEID", "CYCLEID", "LastUser"})
